dnl -*- html -*-
define(__title, `How I do my Computing')dnl
define(__pub, 2019-09-14T12:00:00Z)dnl
define(__upd, 2020-07-17T12:00:00Z)dnl
define(__id, 2)dnl
include(header.html)dnl

<p class="box">Inspired by the computing pages of
<a href="//stallman.org/stallman-computing.html">rms</a> and
<a href="//blog.vimuser.org/leah-computing.html">Leah Rowe</a>.</p>

<h2>Computers</h2>
<p>My <a href="//libreboot.org">librebooted</a> ThinkPad X200 computer
is the machine I use the most and where I do most of my computing.  I
also have the privilege of having access to a fleet of servers through
our school's
<a href="//csclub.uwaterloo.ca">Computer Science Club</a> that I use
for some more computationally intensive tasks every now and again, and
also for hosting this very website.</p>

<h2>GNU/Linux distributions</h2>
<p>I have used a wide variety of GNU/Linux distros over the years; but
as of late, I find myself using
<a href="//trisquel.info">Trisquel</a>,
<a href="//guix.gnu.org">Guix System</a>, and
<a href="//www.debian.org">Debian</a> (with no <code>contrib</code> or
<code>non-free</code>) almost exclusively.  For the kernel, I mostly
use <a href="//www.fsfla.org/ikiwiki/selibre/linux-libre/">GNU
Linux-libre</a>.  Guix System comes with GNU Linux-libre out of the
box, and on Debian-based distros I tend to install it from
jxself's <a href="//jxself.org/linux-libre/">APT repository</a>.</p>

<h2>Actual computing</h2>
<p>I spend most of my time in
<a href="//www.gnu.org/software/emacs/">GNU Emacs</a>.</p>
<p>TODO: elaborate</p>

<h2 id="colophon">Maintaining this site</h2>
<p>I took a great amount of inspiration
from <a href="//technomancy.us/colophon">Phil Hagelberg</a>'s setup.
The pages of this site are written in plain HTML using GNU Emacs,
with <a href="//gnu.org/s/m4">GNU M4</a> acting as a full-featured
template engine.
A <a href="/GNUmakefile"><code>GNUmakefile</code></a> provides
convenient <code>make</code> rules to build and publish the site.  The
bibliography of my <a href="/publications">publications</a> is
generated from <a href="/bandali.bib"><code>bandali.bib</code></a>
using <a href="//www.lri.fr/~filliatr/bibtex2html/">bibtex2html</a>,
and further processed and put together
using <a href="//gnu.org/s/sed">GNU sed</a> and another
<code>GNUmakefile</code>.  The git repository containing all the
sources used to build this site is
available <a href="//git.emacsconf.org/bandali/site">here</a>.</p>

define(__copy, `2019, 2020')dnl
include(footer.html)dnl
